Changeset 20252 for greenstone3

Show
Ignore:
Timestamp:
13.08.2009 18:50:14 (11 years ago)
Author:
ak19
Message:

Another condition for finding ant, useful when we've obtained GS3 from SVN: there is no ant 1.7.1 bundled with it, but before doing the which ant test, check ANT_HOME instead.

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • greenstone3/trunk/gs3-setup.sh

    r20234 r20252  
    117117 
    118118  #ant 
     119  ANT_VERSION=1.7.1 
    119120  if [ -x "$GSDL3SRCHOME/packages/ant/bin/ant" ]; then 
    120121    ANT_HOME="$GSDL3SRCHOME/packages/ant" 
     
    123124    echo "  - Setup Greenstone ant ($GSDL3SRCHOME/packages/ant)" 
    124125  else 
    125     which ant &> /dev/null 
    126     if [ "$?" == "0" ]; then 
    127       echo "  - WARNING: Greenstone 'Ant' package missing - falling back to system Ant" 
    128       echo "             Note that Greenstone requires Ant 1.7.1 or greater" 
    129     else 
    130       echo "  - ERROR: Greenstone 'Ant' package missing - please install Ant yourself" 
    131       echo "           Note that Greenstone requires Ant 1.7.1 or greater" 
    132     fi 
    133  
     126      # check if ANT_HOME is already set 
     127      if [ "$ANT_HOME" != "" ]; then 
     128      echo "  - Falling back to using existing ANT_HOME which is set to: $ANT_HOME" 
     129      echo "           Note that Greenstone requires Ant $ANT_VERSION or greater" 
     130      # export ANT_HOME 
     131      # Add ANT_HOME/bin to PATH if it does not already contain it 
     132      ANT_BIN=$ANT_HOME/bin 
     133      if [[ $PATH != *$ANT_BIN* ]]; then 
     134          addtopath PATH "$ANT_BIN" 
     135      fi 
     136      else 
     137      which ant &> /dev/null 
     138      if [ "$?" == "0" ]; then 
     139          echo "  - WARNING: Greenstone 'Ant' package missing - falling back to system Ant" 
     140          echo "             Note that Greenstone requires Ant $ANT_VERSION or greater" 
     141      else 
     142          echo "  - ERROR: Greenstone 'Ant' package missing - please install Ant yourself" 
     143          echo "           Note that Greenstone requires Ant $ANT_VERSION or greater" 
     144      fi 
     145      fi 
    134146  fi 
    135147